summaryrefslogtreecommitdiffstats
path: root/system/google-chrome-the-latest
diff options
context:
space:
mode:
Diffstat (limited to 'system/google-chrome-the-latest')
-rw-r--r--system/google-chrome-the-latest/README48
-rw-r--r--system/google-chrome-the-latest/doinst.sh13
-rw-r--r--system/google-chrome-the-latest/google-chrome-the-latest.SlackBuild90
-rw-r--r--system/google-chrome-the-latest/google-chrome-the-latest.info10
-rw-r--r--system/google-chrome-the-latest/slack-desc19
5 files changed, 180 insertions, 0 deletions
diff --git a/system/google-chrome-the-latest/README b/system/google-chrome-the-latest/README
new file mode 100644
index 0000000000..257e152cda
--- /dev/null
+++ b/system/google-chrome-the-latest/README
@@ -0,0 +1,48 @@
+Maintaining an updated Chrome Browser on Slackware is now made
+easier with this small program, "google-chrome-the-latest".
+It is a simple python script that checks what is the latest
+version available and updates it on your Slackware box.
+
+It identifies a new version by parsing the web-page at
+https://www.whatismybrowser.com/guides/the-latest-version/chrome
+and comparing with the chrome version number currently installed.
+Chrome is then downloaded directly from Google site, converted to
+txz using the standard rpm2txz command, and upgraded.
+
+You can run this script manually or automatically with the
+provided cron.hourly script. The cron script will attempt to
+identify which user to notify, otherwise you can edit it and set
+the variable USERNAME=’your username’
+
+In order to avoid excessive hits on whatismybrowser.com actual
+checks are limited to "once a day", but you can bypass this with the
+arguments "install", "upgrade" or "update". These all mean then
+same and imply a download from Google and perform an install or
+an upgrade, if one is required of course.
+Normally it is asked if you want to install the new version, but
+providing the argument "silent" will just update with no
+human intervention.
+The argument "gui" will download the Chrome RPM allowing you to
+manually upgrade the browser.
+
+Note: This program runs in the background. To collect your input,
+dialogs appear and disappear. Don't be alarmed and wait for the
+program to end.
+
+Workflows:
+
+1. Every day the program checks if a new browser is available
+ and notifies you through a pop-up window. This is default behavior.
+
+2. You can start the program manually using the icon available
+ in the desktop menu to trigger the download, check and
+ install/upgrade the browse if required.
+
+3. From the command line, if you don't have yet Chrome installed
+ you can do so by simply by running:
+ /opt/google-chrome-the-latest/google-chrome-the-latest.py install
+
+4. From the command line, you can force a Chrome download and
+ upgrade if required, without any pop-up window, with:
+ /opt/google-chrome-the-latest/google-chrome-the-latest.py \
+ silent upgrade
diff --git a/system/google-chrome-the-latest/doinst.sh b/system/google-chrome-the-latest/doinst.sh
new file mode 100644
index 0000000000..9b51b160f6
--- /dev/null
+++ b/system/google-chrome-the-latest/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/gnome/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/gnome >/dev/null 2>&1
+ fi
+fi
diff --git a/system/google-chrome-the-latest/google-chrome-the-latest.SlackBuild b/system/google-chrome-the-latest/google-chrome-the-latest.SlackBuild
new file mode 100644
index 0000000000..17a67b15fd
--- /dev/null
+++ b/system/google-chrome-the-latest/google-chrome-the-latest.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+# Slackware build script for google-chrome-the-latest
+
+# Copyright 2024 Antonio Leal, Porto Salvo, Oeiras, Portugal
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=google-chrome-the-latest
+VERSION=${VERSION:-3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+rm -rf $PKG/opt/google-chrome-the-latest
+mkdir -p $PKG/opt/google-chrome-the-latest
+cp google-chrome-the-latest.py $PKG/opt/google-chrome-the-latest
+chmod +x $PKG/opt/google-chrome-the-latest/google-chrome-the-latest.py
+cp *.glade $PKG/opt/google-chrome-the-latest
+cp google-chrome-the-latest.png $PKG/opt/google-chrome-the-latest
+cp google-chrome-the-latest.desktop $PKG/opt/google-chrome-the-latest
+
+rm -rf $PKG/etc/cron.hourly $PKG/usr/share/pixmaps $PKG/usr/share/applications
+mkdir -p $PKG/etc/cron.hourly $PKG/usr/share/pixmaps $PKG/usr/share/applications
+cp google-chrome-the-latest-cron.sh $PKG/etc/cron.hourly
+chmod +x $PKG/etc/cron.hourly/google-chrome-the-latest-cron.sh
+cp google-chrome-the-latest.png $PKG/usr/share/pixmaps
+cp google-chrome-the-latest.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp README $PKG/usr/doc/$PRGNAM-$VERSION
+cp LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/google-chrome-the-latest/google-chrome-the-latest.info b/system/google-chrome-the-latest/google-chrome-the-latest.info
new file mode 100644
index 0000000000..4c104065d4
--- /dev/null
+++ b/system/google-chrome-the-latest/google-chrome-the-latest.info
@@ -0,0 +1,10 @@
+PRGNAM="google-chrome-the-latest"
+VERSION="3.2"
+HOMEPAGE="https://github.com/antonioleal/google-chrome-the-latest"
+DOWNLOAD="https://github.com/antonioleal/google-chrome-the-latest/archive/3.2/google-chrome-the-latest-3.2.tar.gz"
+MD5SUM="5deb4ceef373db6a6dac3e639d490d17"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gksu"
+MAINTAINER="Antonio Leal"
+EMAIL="antonioleal@yahoo.com"
diff --git a/system/google-chrome-the-latest/slack-desc b/system/google-chrome-the-latest/slack-desc
new file mode 100644
index 0000000000..24124e9e1f
--- /dev/null
+++ b/system/google-chrome-the-latest/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+google-chrome-the-latest: google-chrome-the-latest (Google Chrome Updater Script)
+google-chrome-the-latest:
+google-chrome-the-latest: Maintaining an updated Chrome Browser on Slackware is now made
+google-chrome-the-latest: easier with this small program, "google-chrome-the-latest", a simple
+google-chrome-the-latest: python script that will install and keep checking afterwards what is
+google-chrome-the-latest: the latest version available so your Slackware box is kept safer.
+google-chrome-the-latest:
+google-chrome-the-latest:
+google-chrome-the-latest:
+google-chrome-the-latest:
+google-chrome-the-latest: